Subject: [MMUSIC] connection:new with DTLS

From: Christer Holmberg <[email-masked]>
Date: Fri, 27 Mar 2015 17:53:32 +0000

Hi,

As Justin mentioned during the 2nd MMUSIC session, RFC 5763 forbids usage of 'connection:new' for DTLS-SRTP.

However, draft-sctp-sdp DOES allow it.

-          In case of plain SCTP, there is no DTLS (and, there are no ICE procedures for SCTP transport), so that is fine.

-          In case of SCTP/DTLS, I guess re-establishment of the SCTP association would also impact the overlying DTLS association. But, again, there are no ICE procedures for SCTP transport, so that should be fine.

-          In case of UDP/DTLS/SCTP I guess one can re-establish the SCTP association without impacting the underlying DTLS connection, so that should be fine too.

-          However, in case of TCP/DTLS/SCTP, the draft says that connection:new re-establishes both the TCP connection and the SCTP association, so I guess that would impact the DTLS connection.

Regards,

Christer

---

From: Martin Thomson <[email-masked]>
Date: Sat, 28 Mar 2015 12:27:36 -0700

Why would you even want to make new connections/associations? I'm not as
familiar with SCTP as DTLS, but I'd have to think that the same concerns
with demux apply there.
On Mar 27, 2015 10:53 AM, "Christer Holmberg" <
[email-masked]> wrote:

>  Hi,
>
>
>
> As Justin mentioned during the 2nd MMUSIC session, RFC 5763 forbids usage
> of ‘connection:new’ for DTLS-SRTP.
>
>
>
> -          In case of plain SCTP, there is no DTLS (and, there are no ICE
> procedures for SCTP transport), so that is fine.
>
>
>
> -          In case of SCTP/DTLS, I guess re-establishment of the SCTP
> association would also impact the overlying DTLS association. But, again,
> there are no ICE procedures for SCTP transport, so that should be fine.
>
>
>
> -          In case of UDP/DTLS/SCTP I guess one can re-establish the SCTP
> association without impacting the underlying DTLS connection, so that
> should be fine too.
>
>
>
> -          However, in case of TCP/DTLS/SCTP, the draft says that
> connection:new re-establishes both the TCP connection and the SCTP
> association, so I guess that would impact the DTLS connection.
>
>
>
> Regards,
>
>
>
> Christer
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>
>

---

From: Christer Holmberg <[email-masked]>
Date: Sun, 29 Mar 2015 08:34:54 +0000

Hi,

SCTP has procedures for closing a session, which I assume will take place before the new one is established, so I don't think you would have the same demux issues. But, people with more implementation experience may have another view.

WHY someone wants to create a new connection I don't know. Similar reasons why someone would want to create a new TCP connection, I assume - whatever those reasons are :)

Regards,

Christer

Sent from my Windows Phone
________________________________
From: Martin Thomson<mailto:[email-masked]>
Sent: ‎28/‎03/‎2015 21:27
To: Christer Holmberg<mailto:[email-masked]>
Cc: mmusic (E-mail)<mailto:[email-masked]>
Subject: Re: [MMUSIC] connection:new with DTLS

Why would you even want to make new connections/associations? I'm not as familiar with SCTP as DTLS, but I'd have to think that the same concerns with demux apply there.

On Mar 27, 2015 10:53 AM, "Christer Holmberg" <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

As Justin mentioned during the 2nd MMUSIC session, RFC 5763 forbids usage of ‘connection:new’ for DTLS-SRTP.

Regards,

Christer

_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Bernard Aboba <[email-masked]>
Date: Sun, 29 Mar 2015 14:55:50 -0700

Christer said: 

-          In case of SCTP/DTLS, I guess re-establishment of the SCTP association would also impact the overlying DTLS association. But, again, there are no ICE procedures for SCTP
 transport, so that should be fine.

[BA]  If we are talking about DTLS *over* SCTP,  I don't see why re-establishment of the SCTP association should necessarily require a new DTLS association.  Why can't DTLS utilize SCTP as a "virtual connection" as it does ICE?  

[BA]  In general, transport layers are built to run over a variety of lower layers, and be tolerant of their (differing) characteristics.  So re-establishing the SCTP association does not impact an underlying DTLS association. 

-          However, in case of TCP/DTLS/SCTP, the draft says that connection:new re-establishes both the TCP connection and the SCTP association, so I guess that would impact the
 DTLS connection.

[BA]  Don't believe everything you read on the InterWebs, even if it is on the IETF website :)

---

From: Christer Holmberg <[email-masked]>
Date: Sun, 29 Mar 2015 22:17:39 +0000

Hi,

[CHH] Section 4.2 of RFC 6083 (which defines DTLS-over-SCTP) says:

        "Each DTLS connection MUST be established and terminated within the
        same SCTP association.  A DTLS connection MUST NOT span multiple SCTP
        associations."

I could not find any reason for that, but as at least two of the authors of that RFC should be reading this, perhaps they can explain :)

[CHH] Correct.

[CHH] Well, I read my own draft :) But, if we think there does not need to be an impact on the TCP connection, we can for sure change that.

Regards,

Christer